<script>
    import menu from '../../data/footerdata.json';
</script>

<footer class="dark:bg-jacarta-900 page-footer bg-blue">
    <div class="container">
        <div class="grid grid-cols-6 gap-x-7 gap-y-14 pt-24 pb-12 md:grid-cols-12">
            <div class="col-span-3 md:col-span-4">
                <!-- Logo -->
                <a href="/#" class="mb-6 inline-block">
                    <img src="/img/logo.png" class="max-h-20 dark:hidden" alt="NFT" />
                </a>
                <!-- Socials -->
                <div class="flex space-x-5">
                    {#each menu.social as sns}
                        <a href={sns.link} class="group">
                            <svg
                                aria-hidden="true"
                                focusable="false"
                                data-prefix="fab"
                                data-icon={sns.name}
                                class="group-hover:fill-accent fill-jacarta-300 h-5 w-5 dark:group-hover:fill-white"
                                role="img"
                                xmlns="http://www.w3.org/2000/svg"
                                viewBox={sns.viewBox}
                            >
                                <path d={sns.path} />
                            </svg>
                        </a>
                    {/each}
                </div>
            </div>

            <div class="col-span-full sm:col-span-3 md:col-span-2 md:col-start-7">
                <h3 class="font-display text-jacarta-700 mb-3 text-lg text-white">Marketplace</h3>
                <ul class="dark:text-jacarta-300 flex flex-col space-y-1">
                    <li>
                        <a href="/#" class="text-white hover:text-accent dark:hover:text-white"
                            >All NFTs</a
                        >
                    </li>
                    <li>
                        <a href="/#" class="text-white hover:text-accent dark:hover:text-white"
                            >Art</a
                        >
                    </li>
                    <li>
                        <a href="/#" class="text-white hover:text-accent dark:hover:text-white"
                            >Music</a
                        >
                    </li>
                </ul>
            </div>

            <div class="col-span-full sm:col-span-4 md:col-span-4">
                <h4 class="text-white text-lg mb-8">Get the latest Peerplays NFT updates</h4>
                <form class="relative">
                    <input
                        type="email"
                        placeholder="Email address"
                        class="dark:bg-jacarta-700 dark:border-jacarta-600 focus:ring-accent border-jacarta-100 w-full rounded-full border py-3 px-4 dark:text-white dark:placeholder-white"
                    />
                    <button
                        class="hover:bg-accent-dark font-display bg-accent absolute top-2 right-2 rounded-full px-6 py-2 text-sm text-white"
                    >
                        Subscribe
                    </button>
                </form>
            </div>
        </div>
        <div
            class="flex flex-col items-center justify-between space-y-2 py-8 sm:flex-row sm:space-y-0"
        >
            <p class="text-white">© 2022 Peerplays</p>
            <ul class="text-white dark:text-jacarta-400 flex flex-wrap space-x-4 text-sm">
                <li>
                    <a href="/#" class="hover:text-accent">Terms and conditions</a>
                </li>
                <li><a href="/#" class="hover:text-accent">Privacy policy</a></li>
            </ul>
        </div>
    </div>
</footer>
